export default function LoadingSvg() {
  return (
    <div className="loading">
      <svg width="76" height="76" viewBox="0 0 76 76" fill="none" xmlns="http://www.w3.org/2000/svg">
        <mask id="path-1-inside-1_842_2" fill="white">
          <path d="M38 72.2C38 74.2987 36.2944 76.0197 34.2062 75.8102C27.5313 75.1405 21.1279 72.7123 15.6642 68.7426C9.17194 64.0258 4.33964 57.3747 1.85985 49.7426C-0.619954 42.1106 -0.619948 33.8894 1.85986 26.2573C3.94684 19.8343 7.70001 14.106 12.7065 9.6408C14.2728 8.24389 16.6642 8.63372 17.8978 10.3316C19.1313 12.0295 18.7352 14.3899 17.2044 15.8256C13.4793 19.319 10.6786 23.7102 9.08789 28.6059C7.10404 34.7115 7.10404 41.2885 9.08788 47.3941C11.0717 53.4997 14.9376 58.8206 20.1313 62.5941C24.2959 65.6198 29.1427 67.5261 34.2098 68.1628C36.2921 68.4245 38 70.1013 38 72.2Z" />
        </mask>
        <path d="M38 72.2C38 74.2987 36.2944 76.0197 34.2062 75.8102C27.5313 75.1405 21.1279 72.7123 15.6642 68.7426C9.17194 64.0258 4.33964 57.3747 1.85985 49.7426C-0.619954 42.1106 -0.619948 33.8894 1.85986 26.2573C3.94684 19.8343 7.70001 14.106 12.7065 9.6408C14.2728 8.24389 16.6642 8.63372 17.8978 10.3316C19.1313 12.0295 18.7352 14.3899 17.2044 15.8256C13.4793 19.319 10.6786 23.7102 9.08789 28.6059C7.10404 34.7115 7.10404 41.2885 9.08788 47.3941C11.0717 53.4997 14.9376 58.8206 20.1313 62.5941C24.2959 65.6198 29.1427 67.5261 34.2098 68.1628C36.2921 68.4245 38 70.1013 38 72.2Z" fill="url(#paint0_linear_842_2)" stroke="#DA87FF" strokeWidth="2" mask="url(#path-1-inside-1_842_2)" />
        <mask id="path-2-inside-2_842_2" fill="white">
          <path d="M38 3.8C38 1.70132 39.7056 -0.0196962 41.7938 0.189813C48.4687 0.859513 54.8721 3.28771 60.3358 7.25735C66.828 11.9742 71.6603 18.6253 74.1402 26.2574C76.6199 33.8894 76.6199 42.1106 74.1401 49.7426C72.0532 56.1657 68.3 61.8939 63.2935 66.3592C61.7272 67.7561 59.3358 67.3662 58.1023 65.6684C56.8687 63.9705 57.2648 61.61 58.7956 60.1744C62.5207 56.681 65.3214 52.2898 66.9121 47.3941C68.896 41.2885 68.896 34.7115 66.9121 28.6059C64.9283 22.5002 61.0624 17.1794 55.8687 13.4059C51.7041 10.3802 46.8573 8.47388 41.7902 7.83717C39.7079 7.57552 38 5.89868 38 3.8Z" />
        </mask>
        <path d="M38 3.8C38 1.70132 39.7056 -0.0196962 41.7938 0.189813C48.4687 0.859513 54.8721 3.28771 60.3358 7.25735C66.828 11.9742 71.6603 18.6253 74.1402 26.2574C76.6199 33.8894 76.6199 42.1106 74.1401 49.7426C72.0532 56.1657 68.3 61.8939 63.2935 66.3592C61.7272 67.7561 59.3358 67.3662 58.1023 65.6684C56.8687 63.9705 57.2648 61.61 58.7956 60.1744C62.5207 56.681 65.3214 52.2898 66.9121 47.3941C68.896 41.2885 68.896 34.7115 66.9121 28.6059C64.9283 22.5002 61.0624 17.1794 55.8687 13.4059C51.7041 10.3802 46.8573 8.47388 41.7902 7.83717C39.7079 7.57552 38 5.89868 38 3.8Z" fill="url(#paint1_linear_842_2)" stroke="#DA87FF" strokeWidth="2" mask="url(#path-2-inside-2_842_2)" />
        <defs>
          <linearGradient id="paint0_linear_842_2" x1="38" y1="0" x2="38" y2="76" gradientUnits="userSpaceOnUse">
            <stop stopColor="#DA87FF" />
            <stop offset="1" stopColor="#DA87FF" stopOpacity="0" />
          </linearGradient>
          <linearGradient id="paint1_linear_842_2" x1="38" y1="0" x2="38" y2="76" gradientUnits="userSpaceOnUse">
            <stop stopColor="#DA87FF" />
            <stop offset="1" stopColor="#DA87FF" stopOpacity="0" />
          </linearGradient>
        </defs>
      </svg>
    </div>
  )
}
